Xerces-C++ 3.2.4

List of all members
XSAttributeUse Class Reference

`#include <xercesc/framework/psvi/XSAttributeUse.hpp>`

Inheritance diagram for XSAttributeUse:

## Public Member Functions
Constructors
| XSAttributeUse (XSAttributeDeclaration *const xsAttDecl, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSAttributeUse ()
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSAttributeUse methods
class | XSObjectFactory
bool | fRequired
XSConstants::VALUE_CONSTRAINT | fConstraintType
const XMLCh * | fConstraintValue
XSAttributeDeclaration * | fXSAttributeDeclaration
bool | getRequired () const
| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it. More...
XSAttributeDeclaration * | getAttrDeclaration () const
| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used. More...
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value Constraint: one of default, fixed. More...
const XMLCh * | getConstraintValue ()
| Value Constraint: The actual value. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Constructor & Destructor Documentation

## ◆ XSAttributeUse()

XSAttributeUse::XSAttributeUse | ( | XSAttributeDeclaration *const | xsAttDecl,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  xsAttDecl |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSAttributeUse()

XSAttributeUse::~XSAttributeUse | ( |  | ) |

## Member Function Documentation

## ◆ getAttrDeclaration()

XSAttributeDeclaration * XSAttributeUse::getAttrDeclaration | ( |  | ) | const

[attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

References fXSAttributeDeclaration.

## ◆ getConstraintType()

XSConstants::VALUE_CONSTRAINT XSAttributeUse::getConstraintType | ( |  | ) | const

Value Constraint: one of default, fixed.

References fConstraintType.

## ◆ getConstraintValue()

const XMLCh * XSAttributeUse::getConstraintValue | ( |  | ) |

Value Constraint: The actual value.

References fConstraintValue.

## ◆ getRequired()

bool XSAttributeUse::getRequired | ( |  | ) | const

[required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

References fRequired.

## Friends And Related Function Documentation

## ◆ XSObjectFactory

friend class XSObjectFactory
| friend

## Member Data Documentation

## ◆ fConstraintType

XSConstants::VALUE_CONSTRAINT XSAttributeUse::fConstraintType
| protected

Referenced by getConstraintType().

## ◆ fConstraintValue

const XMLCh* XSAttributeUse::fConstraintValue
| protected

Referenced by getConstraintValue().

## ◆ fRequired

bool XSAttributeUse::fRequired
| protected

Referenced by getRequired().

## ◆ fXSAttributeDeclaration

XSAttributeDeclaration* XSAttributeUse::fXSAttributeDeclaration
| protected

Referenced by getAttrDeclaration().

The documentation for this class was generated from the following file:

- XSAttributeUse.hpp